[SCM] Samba Shared Repository - branch v3-5-test updated - release-4-0-0alpha8-1370-gf267d11

Stefan Metzmacher metze at samba.org
Fri Sep 4 03:20:47 MDT 2009


The branch, v3-5-test has been updated
       via  f267d1151cafe64fe7129e2a6a635d476b6481cc (commit)
       via  25eb0060d60a46a6122475b32de71ae8511a75c5 (commit)
      from  8df4d1015106dd706b05dbf68f01ea9266af1653 (commit)

http://gitweb.samba.org/?p=samba.git;a=shortlog;h=v3-5-test


- Log -----------------------------------------------------------------
commit f267d1151cafe64fe7129e2a6a635d476b6481cc
Author: Stefan Metzmacher <metze at samba.org>
Date:   Fri Sep 4 08:52:45 2009 +0200

    s3:configure: turn off the merged build by default for the 3.5.x releases
    
    metze

commit 25eb0060d60a46a6122475b32de71ae8511a75c5
Author: Stefan Metzmacher <metze at samba.org>
Date:   Fri Sep 4 08:47:56 2009 +0200

    s4: disable source4 directory for the 3.5.x releases
    
    metze
    (cherry picked from commit 6ced4bcadf05578bba83cb061310ad4dcf1e9c94)
    (cherry picked from commit f97a1a0d3b708872534c85dbc5ae53215577057c)

-----------------------------------------------------------------------

Summary of changes:
 source3/configure.in |    7 +-
 source4/autogen.sh   |   91 +++-------------------
 source4/configure.ac |  216 --------------------------------------------------
 3 files changed, 14 insertions(+), 300 deletions(-)
 delete mode 100644 source4/configure.ac


Changeset truncated at 500 lines:

diff --git a/source3/configure.in b/source3/configure.in
index 3255751..cf65726 100644
--- a/source3/configure.in
+++ b/source3/configure.in
@@ -6530,9 +6530,10 @@ if test x$enable_merged_build = xauto; then
 	AC_MSG_RESULT([$merged_build_possible])
 
 	# Enable merged build automatically if possible, when in developer mode
-	if test "x$developer" = xyes; then
-		enable_merged_build=$merged_build_possible
-	fi
+	# Don't enable  merged build automatically in 3.5.0.
+	#if test "x$developer" = xyes; then
+	#	enable_merged_build=$merged_build_possible
+	#fi
 fi
 
 if test x$enable_merged_build = xyes; then
diff --git a/source4/autogen.sh b/source4/autogen.sh
index 2d995ca..f30d42f 100755
--- a/source4/autogen.sh
+++ b/source4/autogen.sh
@@ -1,84 +1,13 @@
 #!/bin/sh
 
-# Run this script to build samba from git.
+echo ""
+echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
+echo ""
+echo "The build in source4 is not supported in the 3.5.x releases!"
+echo "Please use the source4 of the master branch"
+echo "or the latest samba4 alpha release"
+echo ""
+echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
+echo ""
+exit 1
 
-while true; do
-    case $1 in
-	--version-file)
-	    VERSION_FILE=$2
-	    shift 2
-	    ;;
-	*)
-	    break
-	    ;;
-    esac
-done
-
-## insert all possible names (only works with
-## autoconf 2.x)
-TESTAUTOHEADER="autoheader autoheader-2.53 autoheader2.50 autoheader259 autoheader253"
-TESTAUTOCONF="autoconf autoconf-2.53 autoconf2.50 autoconf259 autoconf253"
-
-AUTOHEADERFOUND="0"
-AUTOCONFFOUND="0"
-
-if which which > /dev/null 2>&1; then
-        echo -n
-else
-	echo "$0: need 'which' to figure out if we have the right autoconf to build samba from git" >&2
-	exit 1
-fi
-##
-## Look for autoheader
-##
-for i in $TESTAUTOHEADER; do
-	if which $i > /dev/null 2>&1; then
-		if test `$i --version | head -n 1 | cut -d.  -f 2 | sed "s/[^0-9]//g"` -ge 53; then
-			AUTOHEADER=$i
-			AUTOHEADERFOUND="1"
-			break
-		fi
-	fi
-done
-
-##
-## Look for autoconf
-##
-
-for i in $TESTAUTOCONF; do
-	if which $i > /dev/null 2>&1; then
-		if test `$i --version | head -n 1 | cut -d.  -f 2 | sed "s/[^0-9]//g"` -ge 53; then
-			AUTOCONF=$i
-			AUTOCONFFOUND="1"
-			break
-		fi
-	fi
-done
-
-
-##
-## do we have it?
-##
-if test "$AUTOCONFFOUND" = "0" -o "$AUTOHEADERFOUND" = "0"; then
-	echo "$0: need autoconf 2.53 or later to build samba from git" >&2
-	exit 1
-fi
-
-echo "$0: running script/mkversion.sh"
-./script/mkversion.sh $VERSION_FILE || exit 1
-
-rm -rf autom4te*.cache
-rm -f configure include/config_tmp.h*
-
-IPATHS="-I. -I../lib/replace"
-
-echo "$0: running $AUTOHEADER $IPATHS"
-$AUTOHEADER $IPATHS || exit 1
-
-echo "$0: running $AUTOCONF $IPATHS"
-$AUTOCONF $IPATHS || exit 1
-
-rm -rf autom4te*.cache
-
-echo "Now run ./configure and then make."
-exit 0
diff --git a/source4/configure.ac b/source4/configure.ac
deleted file mode 100644
index 3f10419..0000000
--- a/source4/configure.ac
+++ /dev/null
@@ -1,216 +0,0 @@
-dnl -*- mode: m4-mode -*-
-dnl Process this file with autoconf to produce a configure script.
-
-AC_PREREQ(2.54)
-
-AC_INIT([samba],[4],[samba-technical at samba.org])
-
-AC_CONFIG_SRCDIR([include/includes.h])
-AC_CONFIG_HEADER(include/config_tmp.h)
-AC_DEFINE(CONFIG_H_IS_FROM_SAMBA,1,[Marker for samba's config.h.])
-
-# Configuration rules.
-m4_include(build/m4/env.m4)
-m4_include(../lib/replace/samba.m4)
-m4_include(lib/smbreadline/readline.m4)
-m4_include(heimdal_build/config.m4)
-m4_include(../lib/util/fault.m4)
-m4_include(../lib/util/signal.m4)
-m4_include(../lib/util/util.m4)
-m4_include(../lib/util/fsusage.m4)
-m4_include(../lib/util/xattr.m4)
-m4_include(../lib/util/capability.m4)
-m4_include(../lib/util/time.m4)
-m4_include(../lib/popt/samba.m4)
-m4_include(../lib/util/charset/config.m4)
-m4_include(lib/socket/config.m4)
-m4_include(../lib/zlib/zlib.m4)
-AC_ZLIB([
-SMB_EXT_LIB(ZLIB, [${ZLIB_LIBS}])
-],[
-SMB_INCLUDE_MK(lib/zlib.mk)
-])
-m4_include(../nsswitch/nsstest.m4)
-m4_include(../pidl/config.m4)
-m4_include(client/config.m4)
-
-AC_CONFIG_FILES(lib/registry/registry.pc)
-AC_CONFIG_FILES(librpc/dcerpc.pc)
-AC_CONFIG_FILES(../librpc/ndr.pc)
-AC_CONFIG_FILES(../librpc/ndr_standard.pc)
-AC_CONFIG_FILES(../lib/torture/torture.pc)
-AC_CONFIG_FILES(auth/gensec/gensec.pc)
-AC_CONFIG_FILES(param/samba-hostconfig.pc)
-AC_CONFIG_FILES(librpc/dcerpc_samr.pc)
-AC_CONFIG_FILES(librpc/dcerpc_atsvc.pc)
-
-m4_include(min_versions.m4)
-
-SMB_INCLUDED_LIB_PKGCONFIG(LIBTALLOC, talloc >= TALLOC_MIN_VERSION, [],
-	[
-		m4_include(../lib/talloc/libtalloc.m4)
-		SMB_INCLUDE_MK(../lib/talloc/config.mk)
-	]
-)
-
-SMB_INCLUDED_LIB_PKGCONFIG(LIBTDB, tdb >= TDB_MIN_VERSION,
-	[
-		AC_MSG_CHECKING([for Python TDB bindings])
-		if $PYTHON -c "from tdb import open" 2>/dev/null; then
-			AC_MSG_RESULT(yes)
-		else
-			SMB_INCLUDE_MK(../lib/tdb/python.mk) 
-			AC_MSG_RESULT(no)
-		fi
-	 ],
-	[
-		m4_include(../lib/tdb/libtdb.m4)
-		SMB_INCLUDE_MK(../lib/tdb/config.mk)
-		SMB_INCLUDE_MK(../lib/tdb/python.mk) 
-	]
-)
-
-SMB_INCLUDED_LIB_PKGCONFIG(LIBTEVENT, tevent = TEVENT_REQUIRED_VERSION,
-	[],[m4_include(../lib/tevent/samba.m4)]
-)
-
-SMB_INCLUDED_LIB_PKGCONFIG(LIBLDB, ldb = LDB_REQUIRED_VERSION,
-	[
-		SMB_INCLUDE_MK(lib/ldb/ldb_ildap/config.mk)
-		SMB_INCLUDE_MK(lib/ldb/tools/config.mk)
-		define_ldb_modulesdir=no
-		AC_MSG_CHECKING([for Python LDB bindings])
-		if $PYTHON -c "import ldb" 2>/dev/null; then
-			AC_MSG_RESULT(yes)
-		else
-			SMB_INCLUDE_MK(lib/ldb/python.mk) 
-			AC_MSG_RESULT(no)
-		fi
-
-	],
-	[
-		# Here we need to do some tricks
-		# with AC_CONFIG_COMMANDS_PRE
-		# as that's the deferrs the commands
-		# to location after $prefix and $exec_prefix
-		# have usefull values and directly before
-		# creating config.status.
-		#
-		# The 'eval eval echo' trick is used to
-		# actually get the raw absolute directory
-		# path as this is needed in config.h
-		define_ldb_modulesdir=yes
-		AC_CONFIG_COMMANDS_PRE([
-		if test x"$define_ldb_modulesdir" = x"yes";then
-			LDB_MODULESDIR=`eval eval echo ${modulesdir}/ldb`
-			AC_DEFINE_UNQUOTED(LDB_MODULESDIR, "${LDB_MODULESDIR}" , [ldb Modules directory])
-		fi
-		])
-		ldbdir=lib/ldb
-		AC_SUBST(ldbdir)
-		m4_include(lib/ldb/sqlite3.m4)
-		m4_include(lib/ldb/libldb.m4)
-		SMB_INCLUDE_MK(lib/ldb/config.mk)
-		AC_CONFIG_FILES(lib/ldb/ldb.pc)
-		SMB_INCLUDE_MK(lib/ldb/python.mk) 
-	])
-
-m4_include(lib/tls/config.m4)
-m4_include(torture/libnetapi/config.m4)
-
-dnl m4_include(auth/kerberos/config.m4)
-m4_include(auth/gensec/config.m4)
-m4_include(smbd/process_model.m4)
-m4_include(ntvfs/posix/config.m4)
-m4_include(ntvfs/unixuid/config.m4)
-m4_include(../lib/socket_wrapper/config.m4)
-m4_include(../lib/nss_wrapper/config.m4)
-m4_include(../lib/uid_wrapper/config.m4)
-m4_include(auth/config.m4)
-m4_include(kdc/config.m4)
-m4_include(ntvfs/sysdep/config.m4)
-m4_include(../nsswitch/config.m4)
-
-#################################################
-# add *_CFLAGS only for the real build
-CFLAGS="${CFLAGS} ${DEVELOPER_CFLAGS}"
-
-#################################################
-# final configure stuff
-
-AC_MSG_CHECKING([configure summary])
-AC_TRY_RUN([#include "${srcdir-.}/../tests/summary.c"],
-           AC_MSG_RESULT(yes),
-	   AC_MSG_ERROR([summary failure. Aborting config]); exit 1;,
-	   AC_MSG_WARN([cannot run when cross-compiling]))
-
-LIBS=`echo $LIBS | sed -e 's/ *//g'`
-if test x"$LIBS" != x""; then
-	echo "LIBS: $LIBS"
-	AC_MSG_WARN([the global \$LIBS variable contains some libraries!])
-	AC_MSG_WARN([this should not happen, please report to samba-technical at lists.samba.org!])
-	AC_MSG_ERROR([only _EXT macros from aclocal.m4 should be used!])
-fi
-
-dnl Remove -L/usr/lib/? from LDFLAGS and LIBS
-LIB_REMOVE_USR_LIB(LDFLAGS)
-LIB_REMOVE_USR_LIB(LIBS)
-
-dnl Remove -I/usr/include/? from CFLAGS and CPPFLAGS
-CFLAGS_REMOVE_USR_INCLUDE(CFLAGS)
-CFLAGS_REMOVE_USR_INCLUDE(CPPFLAGS)
-
-AC_SUBST(ac_default_prefix)
-
-for d in build/smb_build bin include ; do
-    test -d ${builddir}/$d || AS_MKDIR_P(${builddir}/$d)
-done
-
-AC_SUBST(INTERN_LDFLAGS)
-AC_SUBST(INSTALL_LINK_FLAGS)
-if test $USESHARED = "true";
-then
-	INTERN_LDFLAGS="-L\$(shliboutputdir) -L\${builddir}/bin/static"
-	INSTALL_LINK_FLAGS="-Wl,-rpath-link,\$(shliboutputdir)";
-else
-	INTERN_LDFLAGS="-L\${builddir}/bin/static -L\$(shliboutputdir)"
-fi
-
-builddir_headers=""
-	
-if test "x$ac_abs_srcdir" != "x$ac_abs_builddir"
-then
-	builddir_headers="-I\$(builddir)/include -I\$(builddir) -I\$(builddir)/lib ";
-fi
-
-CPPFLAGS="$builddir_headers-I\$(srcdir)/include -I\$(srcdir) -I\$(srcdir)/lib -I\$(srcdir)/../lib/replace -I\$(srcdir)/../lib/talloc -I\$(srcdir)/.. -D_SAMBA_BUILD_=4 -DHAVE_CONFIG_H $CPPFLAGS"
-
-SMB_WRITE_PERLVARS(build/smb_build/config.pm)
-
-echo "configure: creating config.mk"
-cat >config.mk<<CEOF
-# config.mk - Autogenerated by configure, DO NOT EDIT!
-$SMB_INFO_EXT_LIBS
-$SMB_INFO_SUBSYSTEMS
-$SMB_INFO_LIBRARIES
-CEOF
-
-SMB_BUILD_RUN(data.mk)
-AC_OUTPUT
-
-cmp include/config_tmp.h include/config.h >/dev/null 2>&1
-CMP_RET=$?
-if test $CMP_RET != 0; then
-	cp include/config_tmp.h include/config.h
-fi
-
-SMB_WRITE_MAKEVARS(mkconfig.mk)
-
-if test $USESHARED = true
-then
-	echo "To run binaries without installing, set the following environment variable:"
-	echo "$LIB_PATH_VAR=$builddir/bin/shared"
-fi
-
-echo
-echo "To build Samba, run $MAKE"


-- 
Samba Shared Repository


More information about the samba-cvs mailing list